> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/16/client-interfaces/the-information-schema/constraint_table_usage.md).

# 37.19. constraint\_table\_usage

The view `constraint_table_usage` identifies all tables in the current database that are used by some constraint and are owned by a currently enabled role. (This is different from the view `table_constraints`, which identifies all table constraints along with the table they are defined on.) For a foreign key constraint, this view identifies the table that the foreign key references. For a unique or primary key constraint, this view simply identifies the table the constraint belongs to. Check constraints and not-null constraints are not included in this view.

#### **Table 37.17. `constraint_table_usage` Columns**

| <p>Column Type</p><p>Description</p>                                                                                                                                             |
| -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <p><code>table\_catalog</code> <code>sql\_identifier</code></p><p>Name of the database that contains the table that is used by some constraint (always the current database)</p> |
| <p><code>table\_schema</code> <code>sql\_identifier</code></p><p>Name of the schema that contains the table that is used by some constraint</p>                                  |
| <p><code>table\_name</code> <code>sql\_identifier</code></p><p>Name of the table that is used by some constraint</p>                                                             |
| <p><code>constraint\_catalog</code> <code>sql\_identifier</code></p><p>Name of the database that contains the constraint (always the current database)</p>                       |
| <p><code>constraint\_schema</code> <code>sql\_identifier</code></p><p>Name of the schema that contains the constraint</p>                                                        |
| <p><code>constraint\_name</code> <code>sql\_identifier</code></p><p>Name of the constraint</p>                                                                                   |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.postgresql.tw/16/client-interfaces/the-information-schema/constraint_table_usage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
